<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [upgradeHomeCores](./bitburner.singularity.upgradehomecores.md)

## Singularity.upgradeHomeCores() method

Upgrade home computer cores.

**Signature:**

```typescript
upgradeHomeCores(): boolean;
```
**Returns:**

boolean

True if the player’s home computer cores is successfully upgraded, and false otherwise.

## Remarks

RAM cost: 3 GB \* 16/4/1

This function will upgrade amount of cores on the player’s home computer. The cost is the same as if you were to do it manually.

This function will return true if the player’s home computer cores is successfully upgraded, and false otherwise.

